create_via#
- Modeler3DLayout.create_via(padstack: str = 'PlanarEMVia', x: float | str = 0, y: float | str = 0, rotation: float = 0, hole_diam: float = None, top_layer: str = None, bot_layer: str = None, name: str = None, net: str = None) Pins3DLayout [source]#
Create a via based on an existing padstack.
- Parameters:
- padstack
str
,optional
Name of the padstack. The default is
"PlanarEMVia"
.- x
float
,optional
Position on the X axis. The default is
0
.- y
float
,optional
Position on the Y axis. The default is
0
.- rotation
float
,optional
Angle rotation in degrees. The default is
0
.- hole_diam
float
,optional
Diameter of the hole. If
None
the default is1
, in which case the override is disabled.- top_layer
str
,optional
Top layer. If
None
the first layer is taken.- bot_layer
str
,optional
Bottom layer. If
None
the last layer is taken.- name
str
,optional
Name of the via. If
None
a random name is generated.- net
str
,optional
Name of the net. The default is
None
, in which case no name is assigned.
- padstack
- Returns:
ansys.aedt.core.modeler.cad.object_3dlayout.Pins3DLayout
or boolObject via created when successful,
False
when failed.
References
>>> oEditor.CreateVia